diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/ns3tcp-loss-test-suite.cc ns-3.36/src/test/ns3tcp/ns3tcp-loss-test-suite.cc
--- ns-3.35/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -54,21 +54,28 @@
 // revised vectors are the correct ones.  In other words, don't simply
 // enable this to true to clear a failing test without looking at the
 // results closely.
-const bool WRITE_VECTORS = false;            // set to true to write response vectors
-const bool WRITE_PCAP = false;              // set to true to write out pcap
-const bool WRITE_LOGGING = false;            // set to true to write logging
-const uint32_t PCAP_LINK_TYPE = 1187373557; // Some large random number -- we use to verify data was written by this program
-const uint32_t PCAP_SNAPLEN   = 64;         // Don't bother to save much data
-
-// ===========================================================================
-// Tests of TCP implementation loss behavior
-// ===========================================================================
-//
-
+const bool WRITE_VECTORS = false;           //!< Set to true to write response vectors.
+const bool WRITE_PCAP = false;              //!< Set to true to write out pcap.
+const bool WRITE_LOGGING = false;           //!< Set to true to write logging.
+const uint32_t PCAP_LINK_TYPE = 1187373557; //!< Some large random number -- we use to verify data was written by this program.
+const uint32_t PCAP_SNAPLEN   = 64;         //!< Don't bother to save much data.
+
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Tests of TCP implementation loss behavior.
+ */
 class Ns3TcpLossTestCase : public TestCase
 {
 public:
   Ns3TcpLossTestCase ();
+
+  /**
+   * Constructor.
+   * 
+   * \param tcpModel The TCP model name.
+   * \param testCase Testcase number.
+   */
   Ns3TcpLossTestCase (std::string tcpModel, uint32_t testCase);
   virtual ~Ns3TcpLossTestCase ()
   {
@@ -79,24 +86,50 @@
   virtual void DoRun (void);
   virtual void DoTeardown (void);
 
-  Ptr<OutputStreamWrapper> m_osw;
-  std::string m_pcapFilename;
-  PcapFile m_pcapFile;
-  uint32_t m_testCase;
-  uint32_t m_totalTxBytes;
-  uint32_t m_currentTxBytes;
-  bool m_writeVectors;
-  bool m_writeResults;
-  bool m_writeLogging;
-  bool m_needToClose;
-  std::string m_tcpModel;
-
+  Ptr<OutputStreamWrapper> m_osw; //!< The output stream.
+  std::string m_pcapFilename;     //!< The PCAP filename.
+  PcapFile m_pcapFile;            //!< The PCAP ffile.
+  uint32_t m_testCase;            //!< Testcase number.
+  uint32_t m_totalTxBytes;        //!< Total number of bytes to send.
+  uint32_t m_currentTxBytes;      //!< Current number of bytes sent.
+  bool m_writeVectors;            //!< True if response vectors have to be written (and not read).
+  bool m_writeResults;            //!< True if write PCAP files.
+  bool m_writeLogging;            //!< True if write logging.
+  bool m_needToClose;             //!< Check if the sending socket need to be closed.
+  std::string m_tcpModel;         //!< The TCP model name.
+
+  /**
+   * Check that the transmitted packets are consitent with the trace.
+   * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
+   * 
+   * \param context The callback context (unused).
+   * \param packet The transmitted packet.
+   * \param ipv4 The IPv4 object that did send the packet (unused).
+   * \param interface The IPv4 interface that did send the packet (unused).
+   */
   void Ipv4L3Tx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface);
+  /**
+   * CWND trace.
+   * 
+   * \param oldval The old value.
+   * \param newval The new value.
+   */
   void CwndTracer (uint32_t oldval, uint32_t newval);
+  /**
+   * Write to the socket until the buffer is full.
+   * 
+   * \param localSocket The output socket.
+   * \param txSpace The space left on the socket (unused).
+   */
   void WriteUntilBufferFull (Ptr<Socket> localSocket, uint32_t txSpace);
-  void StartFlow (Ptr<Socket> localSocket,
-                  Ipv4Address servAddress,
-                  uint16_t servPort);
+  /**
+   * Start transmitting a TCP flow.
+   * 
+   * \param localSocket The sending socket.
+   * \param servAddress The IPv4 address of the server (i.e., the destination address).
+   * \param servPort The TCP port of the server (i.e., the destination port).
+   */
+  void StartFlow (Ptr<Socket> localSocket, Ipv4Address servAddress, uint16_t servPort);
 
 };
 
@@ -165,7 +198,7 @@
 }
 
 void
-Ns3TcpLossTestCase::Ipv4L3Tx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface)
+Ns3TcpLossTestCase::Ipv4L3Tx (std::string, Ptr<const Packet> packet, Ptr<Ipv4>, uint32_t)
 {
   //
   // We're not testing IP so remove and toss the header.  In order to do this,
@@ -244,7 +277,7 @@
 ////////////////////////////////////////////////////////////////////
 // Implementing an "application" to send bytes over a TCP connection
 void
-Ns3TcpLossTestCase::WriteUntilBufferFull (Ptr<Socket> localSocket, uint32_t txSpace)
+Ns3TcpLossTestCase::WriteUntilBufferFull (Ptr<Socket> localSocket, uint32_t)
 {
   while (m_currentTxBytes < m_totalTxBytes)
     {
@@ -473,6 +506,11 @@
   Simulator::Destroy ();
 }
 
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * TCP implementation loss behavior TestSuite.
+ */
 class Ns3TcpLossTestSuite : public TestSuite
 {
 public:
@@ -506,5 +544,6 @@
 
 }
 
-static Ns3TcpLossTestSuite ns3TcpLossTestSuite;
+/// Do not forget to allocate an instance of this TestSuite.
+static Ns3TcpLossTestSuite g_ns3TcpLossTestSuite;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc ns-3.36/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc
--- ns-3.35/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -39,26 +39,37 @@
 
 NS_LOG_COMPONENT_DEFINE ("Ns3TcpNoDelayTest");
 
-// ===========================================================================
-// Tests of Nagle's algorithm and the TCP no delay option
-// ===========================================================================
-//
-//
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Tests of Nagle's algorithm and the TCP no delay option.
+ */
 class Ns3TcpNoDelayTestCase : public TestCase
 {
 public:
+  /**
+   * Constructor.
+   * 
+   * \param noDelay Enable or disable TCP no delay option.
+   */
   Ns3TcpNoDelayTestCase (bool noDelay);
   virtual ~Ns3TcpNoDelayTestCase () {}
 
 private:
   virtual void DoRun (void);
-  bool m_noDelay;
-  bool m_writeResults;
+  bool m_noDelay;       //!< Enable or disable TCP no delay option.
+  bool m_writeResults;  //!< True if write PCAP files.
 
+  /**
+   * Receive a TCP packet.
+   * \param path The callback context (unused).
+   * \param p The received packet.
+   * \param address The sender's address (unused).
+   */
   void SinkRx (std::string path, Ptr<const Packet> p, const Address &address);
 
-  TestVectors<uint32_t> m_inputs;
-  TestVectors<uint32_t> m_responses;
+  TestVectors<uint32_t> m_inputs;     //!< Sent packets test vector.
+  TestVectors<uint32_t> m_responses;  //!< Received packets test vector.
 };
 
 Ns3TcpNoDelayTestCase::Ns3TcpNoDelayTestCase (bool noDelay)
@@ -69,7 +80,7 @@
 }
 
 void 
-Ns3TcpNoDelayTestCase::SinkRx (std::string path, Ptr<const Packet> p, const Address &address)
+Ns3TcpNoDelayTestCase::SinkRx (std::string, Ptr<const Packet> p, const Address &)
 {
   m_responses.Add (p->GetSize ());
 }
@@ -192,6 +203,11 @@
     }
 }
 
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * TCP Nagle's algorithm and the TCP no delay option TestSuite.
+ */
 class Ns3TcpNoDelayTestSuite : public TestSuite
 {
 public:
@@ -205,4 +221,5 @@
   AddTestCase (new Ns3TcpNoDelayTestCase (false), TestCase::QUICK);
 }
 
-static Ns3TcpNoDelayTestSuite ns3TcpNoDelayTestSuite;
+/// Do not forget to allocate an instance of this TestSuite.
+static Ns3TcpNoDelayTestSuite g_ns3TcpNoDelayTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/ns3tcp-socket-test-suite.cc ns-3.36/src/test/ns3tcp/ns3tcp-socket-test-suite.cc
--- ns-3.35/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -40,41 +40,48 @@
 
 NS_LOG_COMPONENT_DEFINE ("Ns3SocketTest");
 
-// ===========================================================================
-// Tests of TCP implementations from the application/socket perspective
-// ===========================================================================
-//
-//
-class Ns3TcpSocketTestCase1 : public TestCase
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Tests of TCP implementations from the application/socket perspective 
+ * using point-to-point links.
+ */
+class Ns3TcpSocketTestCaseP2P : public TestCase
 {
 public:
-  Ns3TcpSocketTestCase1 ();
-  virtual ~Ns3TcpSocketTestCase1 () {}
+  Ns3TcpSocketTestCaseP2P ();
+  virtual ~Ns3TcpSocketTestCaseP2P () {}
 
 private:
   virtual void DoRun (void);
-  bool m_writeResults;
+  bool m_writeResults;  //!< True if write PCAP files.
 
+  /**
+   * Receive a TCP packet.
+   * \param path The callback context (unused).
+   * \param p The received packet.
+   * \param address The sender's address (unused).
+   */
   void SinkRx (std::string path, Ptr<const Packet> p, const Address &address);
 
-  TestVectors<uint32_t> m_inputs;
-  TestVectors<uint32_t> m_responses;
+  TestVectors<uint32_t> m_inputs;     //!< Sent packets test vector.
+  TestVectors<uint32_t> m_responses;  //!< Received packets test vector.
 };
 
-Ns3TcpSocketTestCase1::Ns3TcpSocketTestCase1 ()
+Ns3TcpSocketTestCaseP2P::Ns3TcpSocketTestCaseP2P ()
   : TestCase ("Check that ns-3 TCP successfully transfers an application data write of various sizes (point-to-point)"),
     m_writeResults (false)
 {
 }
 
 void 
-Ns3TcpSocketTestCase1::SinkRx (std::string path, Ptr<const Packet> p, const Address &address)
+Ns3TcpSocketTestCaseP2P::SinkRx (std::string path, Ptr<const Packet> p, const Address &address)
 {
   m_responses.Add (p->GetSize ());
 }
 
 void
-Ns3TcpSocketTestCase1::DoRun (void)
+Ns3TcpSocketTestCaseP2P::DoRun (void)
 {
   uint16_t sinkPort = 50000;
   double sinkStopTime = 40;  // sec; will trigger Socket::Close
@@ -116,7 +123,7 @@
   apps.Stop (sinkStopTimeObj);
 
   Config::Connect ("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
-                   MakeCallback (&Ns3TcpSocketTestCase1::SinkRx, this));
+                   MakeCallback (&Ns3TcpSocketTestCaseP2P::SinkRx, this));
 
   Simulator::Schedule (Seconds (2), &SocketWriter::Connect, socketWriter);
   // Send 1, 10, 100, 1000 bytes
@@ -150,36 +157,48 @@
     }
 }
 
-class Ns3TcpSocketTestCase2 : public TestCase
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Tests of TCP implementations from the application/socket perspective 
+ * using CSMA links.
+ */
+class Ns3TcpSocketTestCaseCsma : public TestCase
 {
 public:
-  Ns3TcpSocketTestCase2 ();
-  virtual ~Ns3TcpSocketTestCase2 () {}
+  Ns3TcpSocketTestCaseCsma ();
+  virtual ~Ns3TcpSocketTestCaseCsma () {}
 
 private:
   virtual void DoRun (void);
-  bool m_writeResults;
+  bool m_writeResults;  //!< True if write PCAP files.
 
+  /**
+   * Receive a TCP packet.
+   * \param path The callback context (unused).
+   * \param p The received packet.
+   * \param address The sender's address (unused).
+   */
   void SinkRx (std::string path, Ptr<const Packet> p, const Address &address);
 
-  TestVectors<uint32_t> m_inputs;
-  TestVectors<uint32_t> m_responses;
+  TestVectors<uint32_t> m_inputs;     //!< Sent packets test vector.
+  TestVectors<uint32_t> m_responses;  //!< Received packets test vector.
 };
 
-Ns3TcpSocketTestCase2::Ns3TcpSocketTestCase2 ()
+Ns3TcpSocketTestCaseCsma::Ns3TcpSocketTestCaseCsma ()
   : TestCase ("Check to see that ns-3 TCP successfully transfers an application data write of various sizes (CSMA)"),
     m_writeResults (false)
 {
 }
 
 void 
-Ns3TcpSocketTestCase2::SinkRx (std::string path, Ptr<const Packet> p, const Address &address)
+Ns3TcpSocketTestCaseCsma::SinkRx (std::string path, Ptr<const Packet> p, const Address &address)
 {
   m_responses.Add (p->GetSize ());
 }
 
 void
-Ns3TcpSocketTestCase2::DoRun (void)
+Ns3TcpSocketTestCaseCsma::DoRun (void)
 {
   uint16_t sinkPort = 50000;
   double sinkStopTime = 40;  // sec; will trigger Socket::Close
@@ -225,7 +244,7 @@
   apps.Stop (sinkStopTimeObj);
 
   Config::Connect ("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
-                   MakeCallback (&Ns3TcpSocketTestCase2::SinkRx, this));
+                   MakeCallback (&Ns3TcpSocketTestCaseCsma::SinkRx, this));
 
   Simulator::Schedule (Seconds (2), &SocketWriter::Connect, socketWriter);
   // Send 1, 10, 100, 1000 bytes
@@ -262,6 +281,11 @@
     }
 }
 
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * TCP implementations from the application/socket perspective TestSuite.
+ */
 class Ns3TcpSocketTestSuite : public TestSuite
 {
 public:
@@ -271,8 +295,9 @@
 Ns3TcpSocketTestSuite::Ns3TcpSocketTestSuite ()
   : TestSuite ("ns3-tcp-socket", SYSTEM)
 {
-  AddTestCase (new Ns3TcpSocketTestCase1, TestCase::QUICK);
-  AddTestCase (new Ns3TcpSocketTestCase2, TestCase::QUICK);
+  AddTestCase (new Ns3TcpSocketTestCaseP2P, TestCase::QUICK);
+  AddTestCase (new Ns3TcpSocketTestCaseCsma, TestCase::QUICK);
 }
 
-static Ns3TcpSocketTestSuite ns3TcpSocketTestSuite;
+/// Do not forget to allocate an instance of this TestSuite.
+static Ns3TcpSocketTestSuite g_ns3TcpSocketTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/ns3tcp-socket-writer.h ns-3.36/src/test/ns3tcp/ns3tcp-socket-writer.h
--- ns-3.35/src/test/ns3tcp/ns3tcp-socket-writer.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/ns3tcp-socket-writer.h	2022-04-30 18:23:58.158735000 -0700
@@ -24,7 +24,12 @@
 
 namespace ns3
 {
-//  Simple class to write data to sockets
+
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Simple class to write data to sockets.
+ */
 class SocketWriter : public Application
 {
 public:
@@ -36,18 +41,33 @@
    */
   static TypeId GetTypeId (void);
   
+  /**
+   * Setup the socket.
+   * \param node The node owning the socket.
+   * \param peer The destinaiton address.
+   */
   void Setup (Ptr<Node> node, Address peer);
+  /**
+   * Connect the socket.
+   */
   void Connect ();
+  /**
+   * Write to the socket.
+   * \param numBytes The number of bytes to write.
+   */
   void Write (uint32_t numBytes);
+  /**
+   * Close the socket.
+   */
   void Close ();
 
 private:
   virtual void StartApplication (void);
   virtual void StopApplication (void);
-  Address m_peer;
-  Ptr<Node> m_node;
-  Ptr<Socket> m_socket;
-  bool m_isSetup;
-  bool m_isConnected;
+  Address m_peer;         //!< Peer's address.
+  Ptr<Node> m_node;       //!< Node pointer
+  Ptr<Socket> m_socket;   //!< Socket.
+  bool m_isSetup;         //!< True if the socket is connected.
+  bool m_isConnected;     //!< True if the socket setup has been done.
 };
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/ns3tcp-state-test-suite.cc ns-3.36/src/test/ns3tcp/ns3tcp-state-test-suite.cc
--- ns-3.35/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -56,21 +56,26 @@
 // revised vectors are the correct ones.  In other words, don't simply
 // enable this to true to clear a failing test without looking at the
 // results closely.
-const bool WRITE_VECTORS = false;           // set to true to write response vectors
-const bool WRITE_PCAP = false;              // set to true to write out pcap
-const bool WRITE_LOGGING = false;           // set to true to write logging
-const uint32_t PCAP_LINK_TYPE = 1187373554; // Some large random number -- we use to verify data was written by this program
-const uint32_t PCAP_SNAPLEN   = 64;         // Don't bother to save much data
-
-// ===========================================================================
-// Tests of TCP implementation state machine behavior
-// ===========================================================================
-//
+const bool WRITE_VECTORS = false;           //!< Set to true to write response vectors.
+const bool WRITE_PCAP = false;              //!< Set to true to write out pcap.
+const bool WRITE_LOGGING = false;           //!< Set to true to write logging.
+const uint32_t PCAP_LINK_TYPE = 1187373554; //!< Some large random number -- we use to verify data was written by this program.
+const uint32_t PCAP_SNAPLEN   = 64;         //!< Don't bother to save much data.
 
+
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * \brief Tests of TCP implementation state machine behavior
+ */
 class Ns3TcpStateTestCase : public TestCase
 {
 public:
   Ns3TcpStateTestCase ();
+  /**
+   * Constructor.
+   * \param testCase Testcase number.
+   */
   Ns3TcpStateTestCase (uint32_t testCase);
   virtual ~Ns3TcpStateTestCase ()
   {
@@ -81,19 +86,50 @@
   virtual void DoRun (void);
   virtual void DoTeardown (void);
 
-  std::string m_pcapFilename;
-  PcapFile m_pcapFile;
-  uint32_t m_testCase;
-  uint32_t m_totalTxBytes;
-  uint32_t m_currentTxBytes;
-  bool m_writeVectors;
-  bool m_writeResults;
-  bool m_writeLogging;
-  bool m_needToClose;
-
+  std::string m_pcapFilename;     //!< The PCAP filename.
+  PcapFile m_pcapFile;            //!< The PCAP ffile.
+  uint32_t m_testCase;            //!< Testcase number.
+  uint32_t m_totalTxBytes;        //!< Total number of bytes to send.
+  uint32_t m_currentTxBytes;      //!< Current number of bytes sent.
+  bool m_writeVectors;            //!< True if response vectors have to be written (and not read).
+  bool m_writeResults;            //!< True if write PCAP files.
+  bool m_writeLogging;            //!< True if write logging.
+  bool m_needToClose;             //!< Check if the sending socket need to be closed.
+
+  /**
+   * Check that the transmitted packets are consitent with the trace.
+   * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
+   * 
+   * \param context The callback context (unused).
+   * \param packet The transmitted packet.
+   * \param ipv4 The IPv4 object that did send the packet (unused).
+   * \param interface The IPv4 interface that did send the packet (unused).
+   */
   void Ipv4L3Tx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface);
+  /**
+   * Check that the received packets are consitent with the trace.
+   * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
+   * 
+   * \param context The callback context (unused).
+   * \param packet The transmitted packet.
+   * \param ipv4 The IPv4 object that did send the packet (unused).
+   * \param interface The IPv4 interface that did send the packet (unused).
+   */
   void Ipv4L3Rx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface);
+  /**
+   * Write to the socket until the buffer is full.
+   * 
+   * \param localSocket The output socket.
+   * \param txSpace The space left on the socket (unused).
+   */
   void WriteUntilBufferFull (Ptr<Socket> localSocket, uint32_t txSpace);
+  /**
+   * Start transmitting a TCP flow.
+   * 
+   * \param localSocket The sending socket.
+   * \param servAddress The IPv4 address of the server (i.e., the destination address).
+   * \param servPort The TCP port of the server (i.e., the destination port).
+   */
   void StartFlow (Ptr<Socket> localSocket,
                   Ipv4Address servAddress,
                   uint16_t servPort);
@@ -157,7 +193,7 @@
 }
 
 void
-Ns3TcpStateTestCase::Ipv4L3Rx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface)
+Ns3TcpStateTestCase::Ipv4L3Rx (std::string, Ptr<const Packet> packet, Ptr<Ipv4>, uint32_t)
 {
   Ptr<Packet> received = packet->Copy ();
   Ipv4Header ipHeader;
@@ -169,7 +205,7 @@
 }
 
 void
-Ns3TcpStateTestCase::Ipv4L3Tx (std::string context, Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface)
+Ns3TcpStateTestCase::Ipv4L3Tx (std::string, Ptr<const Packet> packet, Ptr<Ipv4>, uint32_t)
 {
   //
   // We're not testing IP so remove and toss the header.  In order to do this,
@@ -480,6 +516,11 @@
   Simulator::Destroy ();
 }
 
+/**
+ * \ingroup system-tests-tcp
+ * 
+ * TCP implementation state machine behavior TestSuite.
+ */
 class Ns3TcpStateTestSuite : public TestSuite
 {
 public:
@@ -504,4 +545,5 @@
   AddTestCase (new Ns3TcpStateTestCase (8), TestCase::QUICK);
 }
 
-static Ns3TcpStateTestSuite ns3TcpLossTestSuite;
+/// Do not forget to allocate an instance of this TestSuite.
+static Ns3TcpStateTestSuite g_ns3TcpLossTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3tcp/plot.gp ns-3.36/src/test/ns3tcp/plot.gp
--- ns-3.35/src/test/ns3tcp/plot.gp	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3tcp/plot.gp	2022-04-30 18:23:58.158735000 -0700
@@ -22,7 +22,7 @@
 # * logging output from Ns3TcpLossTest case must first be enabled 
 # * by manually editing ns3-tcp-loss-test-suite.cc and setting 
 # * WRITE_LOGGING to true. Then, the test suite should be re-run 
-# * with ./waf --run "test-runner --suite='ns3-tcp-loss'"
+# * with ./ns3 run "test-runner --suite='ns3-tcp-loss'"
 # * This will generate a number of log files which are parsed 
 # * below for eventual plotting to .eps format using gnuplot.
 # * To run this file in gnuplot, simply: gnuplot plot.gp
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc ns-3.36/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc
--- ns-3.35/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -136,7 +136,6 @@
   wifiPhy.SetChannel (wifiChannel.Create ());
 
   Ssid ssid = Ssid ("wifi-ac-mapping");
-  wifi.SetRemoteStationManager ("ns3::ArfWifiManager");
 
   // Setup the AP, which will be the source of traffic for this test
   NodeContainer ap;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/test/ns3wifi/wifi-issue-211-test-suite.cc ns-3.36/src/test/ns3wifi/wifi-issue-211-test-suite.cc
--- ns-3.35/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2022-04-30 18:23:58.158735000 -0700
@@ -21,6 +21,7 @@
 
 #include "ns3/test.h"
 #include "ns3/string.h"
+#include "ns3/boolean.h"
 #include "ns3/qos-utils.h"
 #include "ns3/packet.h"
 #include "ns3/wifi-net-device.h"
@@ -128,7 +129,7 @@
   phy.SetChannel (spectrumChannel);
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager",
                                 "DataMode", StringValue ("HtMcs0"),
                                 "ControlMode", StringValue ("HtMcs0"));
